function plugin_set_expire(expire,callback){
    chrome.storage.local.set({expire: expire}, callback);
}

function plugin_get_expire(callback){
    chrome.storage.local.get('expire', callback);
}

function pause_switch(callback){
    chrome.storage.local.get(null, function(items) {
        //
        let prefix = 'pause';
        if (!items.hasOwnProperty(prefix)) {
            chrome.storage.local.set({pause: 1}, callback);
        }else{
            if(items[prefix] == 1){
                chrome.storage.local.set({pause: 0}, callback);
            }else{
                chrome.storage.local.set({pause: 1}, callback);
            }
        }
    });
}

function pause_page_switch(callback){
    chrome.storage.local.get(null, function(items) {
        //
        let prefix = 'pause_page';
        if (!items.hasOwnProperty(prefix)) {
            chrome.storage.local.set({pause_page: 1}, callback);
        }else{
            if(items[prefix] == 1){
                chrome.storage.local.set({pause_page: 0}, callback);
            }else{
                chrome.storage.local.set({pause_page: 1}, callback);
            }
        }
    });
}

function storage_get(callback){
    chrome.storage.local.get(null, callback);
}


//监听扩展程序进程或内容脚本发送请求的请求
chrome.runtime.onMessage.addListener(
  function (request, sender, sendResponse) {
      if (request.type === 'consoleLog') {
        // Handle the console.log data
        console.log('Console.log data:', request.data);
      }
    if(request.action  == 'can_caiji'){
        console.log('can_caiji',request,sender,sendResponse);
        chrome.storage.local.get(null, function(items) {
            if(!items.hasOwnProperty('pause') || items['pause'] == 0){
                //已开启
                sendResponse(JSON.stringify({state:0}));
                //
            }else{
                //已关闭
                sendResponse(JSON.stringify({state:1}));
            }
        });
        //
        return true;
    }else if(request.action  == 'can_zidong_caiji'){
        console.log('can_zidong_caiji',request,sender,sendResponse);
        //判断，如果加入超过3000个，则不能，而且需要已开启自动采集
        chrome.storage.local.get(null, function(items) {
            if(!items.hasOwnProperty('pause_page') || items['pause_page'] == 0){
                sendResponse(JSON.stringify({state:0}));
                //
            }else{
                //已关闭
                sendResponse(JSON.stringify({state:1}));
            }
        });
        //
        return true;
    }
  }
);